io.etcd.jetcd.api

## Interface AuthUserGetResponseOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  AuthUserGetResponse, AuthUserGetResponse.Builder

    public interface AuthUserGetResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`ResponseHeader` `getHeader()` `.etcdserverpb.ResponseHeader header = 1;`
`ResponseHeaderOrBuilder` `getHeaderOrBuilder()` `.etcdserverpb.ResponseHeader header = 1;`
`String` `getRoles(int index)` `repeated string roles = 2;`
`com.google.protobuf.ByteString` `getRolesBytes(int index)` `repeated string roles = 2;`
`int` `getRolesCount()` `repeated string roles = 2;`
`List<String>` `getRolesList()` `repeated string roles = 2;`
`boolean` `hasHeader()` `.etcdserverpb.ResponseHeader header = 1;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### hasHeader

    boolean hasHeader()

`.etcdserverpb.ResponseHeader header = 1;`

Returns:
  Whether the header field is set.

#### getHeader

    ResponseHeader getHeader()

`.etcdserverpb.ResponseHeader header = 1;`

Returns:
  The header.

#### getHeaderOrBuilder

    ResponseHeaderOrBuilder getHeaderOrBuilder()

`.etcdserverpb.ResponseHeader header = 1;`

#### getRolesList

    List<String> getRolesList()

`repeated string roles = 2;`

Returns:
  A list containing the roles.

#### getRolesCount

    int getRolesCount()

`repeated string roles = 2;`

Returns:
  The count of roles.

#### getRoles

    String getRoles(int index)

`repeated string roles = 2;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The roles at the given index.

#### getRolesBytes

    com.google.protobuf.ByteString getRolesBytes(int index)

`repeated string roles = 2;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the roles at the given index.